local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    setDarkness(0.1)
    setBloomStrength(0.5)
    player.ForceCameraUpdate = true

    wait(1)
    player.DummyAutoAnimate = false
    player.Sprite:Play("lookUp")
    wait(2)
    player.DummyAutoAnimate = true
    wait(0.5)
    walkTo (4624, false, 0.8, false)
    wait(1)
    walkTo (4654, false, 0.5, false)
    player.ForceCameraUpdate = false
    wait(0.5)
    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    wait(5)

    teleportTo(5072, 4384, "feel_11")

    enableMovement()
    endCutscene ()
	

end